Foxit PDF SDK

Public Member Functions | List of all members
foxit.pdf.PageTextLinks Class Reference
Inheritance diagram for foxit.pdf.PageTextLinks:

## Public Member Functions
| PageTextLinks (TextPage page)
| Constructor, from a parsed PDF page. More...
| PageTextLinks (PageTextLinks other)
| Constructor, with another PageTextLinks object. More...
TextLink | GetTextLink (int index)
| Get a text link object by index. More...
int | GetTextLinkCount ()
| Get the count of the URL formatted texts, in related PDF page. More...
bool | IsEmpty ()
| Check whether current object is empty or not. More...

## Detailed Description

In a PDF page, some text content may represent a hypertext link to a website or a resource on the internet, or an e-mail address. Class PageTextLinks is used to manage these kind of text content as text links.

## Constructor & Destructor Documentation

## ◆ PageTextLinks() [1/2]

foxit.pdf.PageTextLinks.PageTextLinks | ( | TextPage | page | ) |
| inline

Constructor, from a parsed PDF page.

Parameters

  [in] | page | A valid PDF page object. This page should has been parsed.

## ◆ PageTextLinks() [2/2]

foxit.pdf.PageTextLinks.PageTextLinks | ( | PageTextLinks | other | ) |
| inline

Constructor, with another PageTextLinks object.

Parameters

  [in] | other | Another PageTextLinks object.

## Member Function Documentation

## ◆ GetTextLink()

TextLink foxit.pdf.PageTextLinks.GetTextLink | ( | int | index | ) |
| inline

Get a text link object by index.

Parameters

  [in] | index | Index of a text link object. Valid range: from 0 to (count-1). count is returned by function PageTextLinks.GetTextLinkCount .

Returns
  The specified text link object.

## ◆ GetTextLinkCount()

int foxit.pdf.PageTextLinks.GetTextLinkCount | ( |  | ) |
| inline

Get the count of the URL formatted texts, in related PDF page.

Returns
  The count of the text links, if returned -1 means error on the construct.

## ◆ IsEmpty()

bool foxit.pdf.PageTextLinks.IsEmpty | ( |  | ) |
| inline

Check whether current object is empty or not.

When the current object is empty, that means current object is useless.

Returns
  true means current object is empty, while false means not.